## network-manager 0.9.8.0

=== debian/changelog ===
network-manager (0.9.8.0-0ubuntu6.1) raring; urgency=low

  * debian/patches/bluetooth.patch: DUN via bluetooth fails (lp: #1186273) 

 -- Ritesh Khadgaray <ritesh@canonical.com>  Tue, 08 Oct 2013 21:51:50 +0530

network-manager (0.9.8.0-0ubuntu6) raring; urgency=low

  * debian/tests/nm-wifi: Start NetworkManager with --log-level=DEBUG to get
    more info on failures.
  * debian/tests/nm-wifi: Add test case for WPA2 (IPv4/6).
  * debian/tests/nm-wifi, conn_from_active_conn(): Try several times,
    sometimes the NMConnection object does not yet exist at the first try.
  * debian/tests/{nm-wifi,wpa-dhclient}: Add tests for WPA 1.
  * debian/tests/nm-wifi: Disable networking before shutting down and removing
    connections, to avoid NMClient's state becoming inconsistent and throwing
    warnings and criticals like mad.
  * debian/tests/dnsmasq: Simplify and robustify:
    - Don't use private D-BUS, polkit, and consolekit instances, this is a
      system integration test where we want to assert that the system
      instances work.
    - Kill NetworkManager after the tests.
    - Wait until eth interface is available and connected instead of fixed
      sleep(30).
    - Don't just check for existence of dnsmasq, but also verify that it comes
      from NetworkManager.
    - Resurrect "listens on D-BUS" test.
  * debian/tests/nm-wifi: Don't depend on or change the system-wide state
    file; use a local fresh one for each test.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 19 Apr 2013 13:23:03 +0200

network-manager (0.9.8.0-0ubuntu5) raring; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * debian/control: update Vcs-Bzr to point to the right branch for raring.

  [ Martin Pitt ]
  * debian/tests/network_test_base.py: Avoid stderr output from "service".
  * Add libnm-need_secrets-annotations.patch: libnm-glib: Fix transfer
    annotations of nm_{connection,setting}_need_secrets(). This fixes the
    crash when trying to call them from GI, which blocks writing WPA tests.
  * Add libnm-SecretAgent-annotations.patch: libnm-glib: Make SecretAgent
    introspectable.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 17 Apr 2013 15:10:52 +0200

network-manager (0.9.8.0-0ubuntu4) raring; urgency=low

  * debian/tests/network_test_base.py: Stop NM during running the tests, to
    avoid interference and allow the tests to run their own NM instance.
  * debian/tests/network_test_base.py, poll_text(): Don't just read one line
    every 0.1 seconds, read as much as possible.
  * debian/tests/network_test_base.py: Determine and store the client and AP's
    MAC address, and tighten check in debian/tests/wpa-dhclient.
  * debian/tests/network_test_base.py: Change setup_ap() to take an arbitrary
    dnsmasq mode for IPv6, so that we can cover "RA only", "RA+DHCP", and
    other modes.
  * debian/tests/wpa-dhclient: Add test for IPv6 with only RA, and add more
    fine-grained verification of assigned addresses.
  * Add debian/tests/nm-wifi: Integration tests for NetworkManager on
    simulated mac80211_hwsim devices.
  * Drop debian/tests/nm. Much simpler and stricter versions of these tests
    are included in debian/tests/nm-wifi, and the test setup is
    unnecessarily complicated and leaves lots of stray processes behind. 
  * Disable "dnsmasq" test. It often fails in VMs (there is not necessarily a
    dnsmasq process), the test does not need to start dbus/polkit/etc (this is
    a system integration test after all), and it leaves
    dbus-daemon/NetworkManager etc. processes behind that interfere with the
    other tests.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 16 Apr 2013 13:33:20 +0200

network-manager (0.9.8.0-0ubuntu3) raring; urgency=low

  [ Martin Pitt ]
  * Add debian/tests/network_test_base.py: Base class for network related
    tests. This provides fake wifi devices with mac80211_hwsim and hostapd,
    and some utility functions.
  * Add wpa-dhclient autopkgtest: Test wpa_supplicant and dhclient in various
    modes: 802.11a/b/g, IPv4/6, open/WPA2.

  [ Mathieu Trudel-Lapierre ]
  * debian/tests/dnsmasq: disable testDnsmasqHasDbus test; it's broken in the
    autopkgtest qa environment, needs further investigation. The fact that
    dnsmasq gets started is already covered by testDnsmasqRunning.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 09 Apr 2013 09:57:18 -0400

network-manager (0.9.8.0-0ubuntu2) raring; urgency=low

  * debian/patches/git_machine_id_duid_gen_1d14d17.patch: dhcp: look harder
    for machine-id, and generate random DUID if it doesn't exist. (LP: #1153266)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 25 Mar 2013 10:39:32 -0400

network-manager (0.9.8.0-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Resync package with Debian:
    - debian/libnm*.install: Fix paths for vala vapi files: install to
      /usr/share/vala, not /usr/share/vala-0.18...
    - debian/network-manager-dispatcher.script: clean-up; hostname is still not
      triggering any action, but doesn't need to be listed twice.
    - debian/network-manager.NEWS: sync with Debian.
    - debian/network-manager.dirs: add /etc/NetworkManager/VPN/, used to detect
      newly installed VPN plugins.
    - debian/control: update Build-Depends, Depends, Architecture fields.
    - debian/network-manager.install: reorganize entries to match Debian.
  * debian/patches/dnsmasq-vpn-dns-filtering.patch: refresh.
  * debian/patches/dnsmasq-dbus-updates.patch: refresh.
  * debian/patches/dns-dnsmasq-interface-and-dbus-path.patch: refresh.
  * debian/patches/adhoc_use_wpa_rsn_part1.patch: refresh.
  * debian/patches/adhoc_use_wpa_rsn_part2.patch: refresh.
  * debian/patches/fix-vapigen-detection.patch: drop passing the wanted API to
    VAPIGEN_CHECK, as that causes files to get installed in the versioned vapi
    directory as well, which should be reserved for what ships with vala.
  * debian/control: Modernize:
    - Bump to debhelper 9.

