=== debian/tests/control ===
Tests: dnsmasq
Depends: python3, python3-dbus, network-manager
Restrictions: needs-root

Tests: wpa-dhclient
Depends: python3, hostapd, dnsmasq-base, wpasupplicant, isc-dhcp-client, iw
Restrictions: needs-root

Tests: nm-wifi
Depends: python3, gir1.2-networkmanager-1.0, network-manager, hostapd, iw
Restrictions: needs-root
