## network-manager 0.9.8.8

=== debian/changelog ===
network-manager (0.9.8.8-0ubuntu7.3) trusty; urgency=medium

  * netlink-fix-crash-in-netlink-monitor-validating-netlink-messages.patch:
  * netlink-simplify-netlink-message-validation.patch
    Apply the above patches prevent NM from crashing when passing in wrong
    pointer due to updated libnl.  (LP: #1539634)

 -- Ryan Harper <ryan.harper@canonical.com>  Fri, 29 Jan 2016 08:14:17 -0600

network-manager (0.9.8.8-0ubuntu7.2) trusty; urgency=medium

  * Use the gateway from ModemManager. (LP: #1441095)
    - use-the-gateway-from-ModemManager.patch

 -- Shih-Yuan Lee (FourDollars) <sylee@canonical.com>  Mon, 21 Sep 2015 16:46:27 +0800

network-manager (0.9.8.8-0ubuntu7.1) trusty-security; urgency=medium

  * SECURITY UPDATE: directory traversal issue resulting in connection
    modification and possible arbitrary file disclosure (LP: #1449245)
    - debian/patches/CVE-2015-1322.patch: strip slashes from filename
      in src/settings/plugins/ofono/plugin.c.
    - CVE-2015-1322

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 28 Apr 2015 07:11:22 -0400

network-manager (0.9.8.8-0ubuntu7) trusty; urgency=medium

  * debian/tests/nm: Bump DHCP timeouts from 15 to 20 seconds, something in
    the stack got even slower as it used to be.
  * debian/tests/nm: With the patch in 0.9.8.8-0ubuntu5, interfaces with PE
    disabled still get a temporary IP. Disable that check for now.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 09 Apr 2014 15:41:11 +0200

network-manager (0.9.8.8-0ubuntu6) trusty; urgency=medium

  [ Martin Pitt ]
  * Mark autopkgtests with "isolation-machine" as these tests can't run in
    schroot or LXC.

  [ Felix Geyer ]
  * Don't check for TARGET_DEBIAN in patches. Upstream has removed the macro
    so just unconditionally enable the code in the patches. (LP: #1296226)
    This fixes the regression of the following patches:
    - quit_dhclient_on_exit.patch (LP: #963106)
    - lp990011_use_tempaddr_sysctl_default.patch (LP: #990011)
    - add_sendsigs_omissions.patch (LP: #869635)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 08 Apr 2014 10:32:10 +1000

network-manager (0.9.8.8-0ubuntu5) trusty; urgency=medium

  * debian/patches/dnsmasq-dbus-updates.patch: properly pass IPv6 DNS search
    in the IPv6 config, not the IPv4 one; fixes assertions trying to add the
    search domains.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 06 Mar 2014 15:21:59 -0500

network-manager (0.9.8.8-0ubuntu4) trusty; urgency=medium

  * debian/tests/urfkill-integration, debian/tests/killswitch, debian/tests/nm:
    really fix the tests this time, hopefully.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 20 Feb 2014 21:23:35 -0500

network-manager (0.9.8.8-0ubuntu3) trusty; urgency=medium

  * debian/tests/urfkill-integration, 
    debian/tests/killswitch: fix small bugs in tests behavior; fail at the end
    so we get full results.
  * debian/tests/nm: bring up NM at the end of the test to ensure we have good
    connectivity for the next tests.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 20 Feb 2014 15:11:03 -0500

network-manager (0.9.8.8-0ubuntu2) trusty; urgency=medium

  [ Michael Schaller ]
  * debian/patches/nm-wired-no-secret-rerequest.patch: Wired connections: Only
    request new secrets during the inital connection. (LP: #1272321)

  [ Mathieu Trudel-Lapierre ]
  * debian/rules: specify --enable-bluez4, which should now be used explicitly
    for BlueZ 4 support.
  * debian/patches/git_segfault_nmagentmanager_3227cf0.patch: fix segfault in
    NMAgentManager when cancelling a request.
  * debian/patches/ignore_ipv6_set_peer_nosupport.patch: ignore "unsupported"
    error from libnl when adding a PtP peer for IPv6; libnl doesn't support
    that yet.
  * debian/patches/git_agent_removing_requests_b2312d4.patch: fix crash in
    nm_secret_agent_cancel_secrets().
  * debian/patches/git_disp_logging_crash_aca907f.patch: avoid a possible crash
    in the dispatcher if dbus_init() fails.
  * debian/patches/git_fix_shadowed_var_abe208e.patch: fix a shadowed local
    variable in nm_system_bond_enslave().
  * debian/patches/connectivity_check_default_interval.patch: fix handling the
    default value for connectivity check interval if it's not set in the config
    file. Documentation says it should default to 300 if not set.
  * debian/patches/ignore_rfkill_if_urfkill_is_present.patch: don't touch
    saved radio states if we want to use URfkill instead.
  * debian/tests/fake-rfkill.c, debian/tests/Makefile: add Makefile and
    fake-rfkill pretend driver (thanks Johannes Berg!) for testing rfkill.
  * debian/tests/killswitches-no-urfkill: add rfkill tests for NM; rfkill state
    should be tracked.
  * debian/tests/urfkill-integration: add integration tests for urfkill: make
    sure NM can track urfkill state change notifications.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 17 Feb 2014 10:48:19 -0500

network-manager (0.9.8.8-0ubuntu1) trusty; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * New upstream release (LP: #1269179).
  * debian/control: add a Build-Depends on libmm-glib-dev.
  * debian/rules: configure with --with-modem-manager-1=yes. This enables
    support for the new ModemManager API.
  * Dropped patches (included upstream):
    - git_core_do_not_call_functions_with_null_connection_5e129f1.patch
    - bluetooth.patch
  * debian/patches/lp912702_fix_multiple_dialogs.patch: handle the case where
    multiple authentication dialogs would be shown if the user doesn't respond
    in time for network auth. (LP: #912702)

  [ Michael Schaller ]
  * ifupdown plugin: Support ifupdown's source stanza. (LP: #1271567)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 24 Jan 2014 12:35:34 -0500

network-manager (0.9.8.4-0ubuntu3) trusty; urgency=low

  * Set "allow-stderr" for debian/tests/apparmor_workaround to avoid failure
    on AppArmor warnings.


