=== debian/rules ===
--- 
+++ 
@@ -32,8 +32,9 @@
 		--with-dhclient=/sbin/dhclient \
 		--with-iptables=/sbin/iptables \
 		--with-crypto=nss \
-		--with-session-tracking=consolekit \
-		--with-suspend-resume=upower \
+		--with-session-tracking=systemd \
+		--with-suspend-resume=systemd \
+		--with-modem-manager-1=yes \
 		--disable-more-warnings \
 		--enable-polkit \
 		--enable-ppp \
@@ -42,6 +43,7 @@
 		--enable-doc \
 		--enable-concheck \
 		--enable-vala \
+		--enable-bluez4 \
 		--with-tests \
 
 override_dh_install:
