=== debian/watch ===
version=3

http://download.gnome.org/sources/NetworkManager/([\d\.]+)/NetworkManager-(.*)\.tar\.bz2
