## network-manager 0.9.10.0

=== debian/changelog ===
network-manager (0.9.10.0-7) unstable; urgency=medium

  * Don't make NetworkManager D-Bus activatable. If the daemon has been
    stopped manually, we don't want it to be autostarted by client requests.
    (Closes: #760998)
  * Don't block network.target on NetworkManager-wait-online.service. While at
    it, add a few other minor fixes like the addition of Documentation or
    RemainAfterExit=yes.

 -- Michael Biebl <biebl@debian.org>  Tue, 31 Mar 2015 07:06:07 +0200

network-manager (0.9.10.0-6) unstable; urgency=medium

  * Detect at runtime whether to start ModemManager. When not running under
    systemd, start ModemManager via dbus activation. (Closes: #770871)
  * Do not assert when a device is enslaved externally. Fixes crash when
    running something like 'brctl addif br0 eth0'. (Closes: #773216)

 -- Michael Biebl <biebl@debian.org>  Mon, 09 Feb 2015 02:29:46 +0100

network-manager (0.9.10.0-5) unstable; urgency=medium

  * Cherry-pick upstream commit which prevents breaking PtP TUN interfaces by
    not overriding external route metrics. (Closes: #767002)
  * Cherry-pick upstream commit which tells systemd to restart NetworkManager
    if it exits with a failure. (Closes: #773213)

 -- Michael Biebl <biebl@debian.org>  Wed, 31 Dec 2014 01:10:08 +0100

network-manager (0.9.10.0-4) unstable; urgency=medium

  * Team upload.
  * Fix arping path and add iputils-arping to the Recommends (Closes:#755039)
  * Add d/p/0013-fix-dhclient-abnormal-exit-due-to-SIGPIPE.patch,
    d/p/0014-log-DHCLIENT-exit-status-better.patch: Prevent dhclient to crash
    when journald is restarted (Closes: #756144)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 13 Dec 2014 16:51:45 +0100

network-manager (0.9.10.0-3) unstable; urgency=medium

  [ Arto Jantunen ]
  * Use the correct path when calling dnssec-trigger-script. (Closes: #763023)

  [ Michael Biebl ]
  * Acknowledge NMU, thanks Micah Anderson.
  * Install typelib files into multiarch paths now that gobject-introspection
    supports multiarch.
  * Mark gir and dev packages as Multi-Arch: same.
  * Build against libsystemd-dev.
  * Cherry-pick upstream commits to make nmtui-edit properly save and display
    passwords. (Closes: #754382)

 -- Michael Biebl <biebl@debian.org>  Tue, 30 Sep 2014 06:12:19 +0200

network-manager (0.9.10.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Cherry-pick upstream commit to fix checks for default routes (Closes:
    #761114)

 -- Micah Anderson <micah@debian.org>  Wed, 17 Sep 2014 10:06:10 -0400

network-manager (0.9.10.0-2) unstable; urgency=medium

  * Use default compression for binary packages.
  * Enable Network Team driver support. This is an optional feature which
    requires the teamd daemon provided by libteam-utils.
  * Cherry-pick upstream commit to fix Wi-Fi section of "nmtui connect" list
    in non-UTF-8 locales. (Closes: #760186)

 -- Michael Biebl <biebl@debian.org>  Tue, 02 Sep 2014 19:40:17 +0200

network-manager (0.9.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Exclude libtool .la files from list-missing.
  * Update symbols files.
  * Update Build-Depends as per configure.ac.
  * Build and install nmtui, a curses-based interface for easier console
    operation.
  * Install new device plugins.
  * Stop installing the nm-tool binary which was dropped upstream as it has
    been replaced by the much more powerful nmcli tool.
  * Stop installing the nm-dhcp-client.conf D-Bus policy. NetworkManager uses
    a private D-Bus socket now to communicate with that helper, making that
    file obsolete.
  * Remove the obsolete /etc/dbus-1/system.d/nm-dhcp-client.conf conffile on
    upgrades.
  * Specify the path to the pppd and pppoe binary via the corresponding
    configure switch.
  * Update patches.
    - Drop "Add D-Bus policy for group netdev" patch. Usage of D-Bus
      "at_console" permissions has been removed upstream and access for
      unprivleged users is now handled entirely with PolicyKit.
    - Add patch to use symbolic links instead of hard links for
      /usr/bin/nmtui-*.
    - Add patch to treat virtual ethernet devices as unmanaged to avoid
      interfering with VBox and VMware network interfaces.
    - Refresh remaining patches.
  * Create /etc/NetworkManager/conf.d/ directory which can be used to extend
    the NetworkManager configuration without having to modify the
    distro-provided NetworkManager.conf.
  * Ship an example server.conf configuration file which can be dropped into
    /etc/NetworkManager/conf.d/ to change NetworkManager's behaviour to be
    more like what's expected on "traditional UNIX server" type deployments.

 -- Michael Biebl <biebl@debian.org>  Thu, 10 Jul 2014 06:44:53 +0200

network-manager (0.9.8.10-4) unstable; urgency=medium

  * Build against libgnutls28-dev. (Closes: #753136)

 -- Michael Biebl <biebl@debian.org>  Mon, 30 Jun 2014 01:49:26 +0200

network-manager (0.9.8.10-3) unstable; urgency=medium

  * Add explicit Build-Depends on libgcrypt11-dev and don't rely on
    libgnutls-dev to pull in that dependency for us. Newer versions of GnuTLS
    no longer use gcrypt but nettle as crypto backend. (Closes: #745955)

 -- Michael Biebl <biebl@debian.org>  Mon, 19 May 2014 17:07:17 +0200

network-manager (0.9.8.10-2) unstable; urgency=medium

  * Don't hookup NetworkManager-wait-online.service in network-online.target
    because it creates a dependency cycle with our current support for legacy
    SysV init scripts.
  * Specify the path for the dnsmasq binary at configure time.

 -- Michael Biebl <biebl@debian.org>  Thu, 01 May 2014 13:43:33 +0200

network-manager (0.9.8.10-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/*: Refresh if necessary

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 26 Apr 2014 21:05:11 +0200

network-manager (0.9.8.8-7) unstable; urgency=medium

  * Build against ppp 2.4.6. Update plugin path and dependencies accordingly.


