=== debian/control ===
Source: network-manager
Section: net
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper (>= 9),
               dh-systemd (>= 1.14),
               dh-autoreconf,
               pkg-config,
               intltool,
               libdbus-glib-1-dev (>= 0.100),
               libdbus-1-dev (>= 1.1),
               libiw-dev(>= 27+28pre9),
               libglib2.0-dev (>= 2.32),
               libnl-3-dev (>= 3.2.8),
               libnl-route-3-dev (>= 3.2.8),
               libnl-genl-3-dev (>= 3.2.8),
               ppp-dev (>= 2.4.6),
               libpolkit-gobject-1-dev,
               libgnutls28-dev,
               libgcrypt11-dev,
               uuid-dev,
               systemd (>= 185),
               libsystemd-dev (>= 209),
               libudev-dev (>= 165),
               libgudev-1.0-dev (>= 165),
               libgirepository1.0-dev (>= 0.10.7-1~),
               gobject-introspection (>= 0.9.12-4~),
               libsoup2.4-dev (>= 2.26),
               gtk-doc-tools,
               libglib2.0-doc,
               libmm-glib-dev (>=  0.7.991),
               libndp-dev,
               libreadline-dev,
               libnewt-dev (>= 0.52.15),
               libteam-dev (>= 1.9)
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-utopia/network-manager.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-utopia/network-manager.git;a=summary
Homepage: https://wiki.gnome.org/Projects/NetworkManager

Package: network-manager
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         lsb-base (>= 3.2-14),
         wpasupplicant (>= 0.7.3-1),
         dbus (>= 1.1.2),
         udev,
         adduser,
         isc-dhcp-client (>= 4.1.1-P1-4),
         libpam-systemd,
         policykit-1
Recommends: ppp (>= 2.4.6),
            dnsmasq-base,
            iptables,
            modemmanager,
            crda,
            iputils-arping
Suggests: avahi-autoipd,
          libteam-utils
Breaks: network-manager-gnome (<< 0.9),
        network-manager-openvpn (<< 0.9),
        network-manager-vpnc (<< 0.9),
        network-manager-pptp (<< 0.9),
        network-manager-openconnect (<< 0.9),
        network-manager-kde (<< 1:0.9),
        plasma-widget-networkmanagement (<< 0.9~),
        ppp (<< 2.4.6)
Description: network management framework (daemon and userspace tools)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package provides the userspace daemons and a command line interface to
 interact with NetworkManager.
 .
 Optional dependencies:
  * ppp: Required for establishing dial-up connections (e.g. via GSM).
  * dnsmasq-base/iptables: Required for creating Ad-hoc connections and
    connection sharing.
  * avahi-autoipd: Used for IPv4LL, a protocol for automatic Link-Local IP
    address configuration.
  * libteam-utils: Network Team driver allows multiple network interfaces to be
    teamed together and act like a single one. This process is called "ethernet
    bonding", "channel teaming" or "link aggregation".

Package: network-manager-dev
Section: devel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}
Description: network management framework (development files)
 this package provides header files that are needed to
 compile VPN Plugins for NetworkManager.

Package: libnm-glib4
Section: libs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: network management framework (GLib shared library)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package provides the shared library that applications can use to query
 connection status via NetworkManager.

Package: libnm-glib-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         libnm-glib4 (= ${binary:Version}),
         gir1.2-networkmanager-1.0 (= ${binary:Version}),
         libnm-util-dev (>= ${binary:Version}),
         network-manager-dev (>= ${binary:Version}),
         libglib2.0-dev,
         libdbus-glib-1-dev
Description: network management framework (GLib interface)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package provides the interface that applications can use to query
 connection status via NetworkManager.

Package: libnm-glib-vpn1
Section: libs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: network management framework (GLib VPN shared library)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package provides the shared library that applications can use for
 creating VPN connections via NetworkManager.

Package: libnm-glib-vpn-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         libnm-glib-vpn1 (= ${binary:Version}),
         libnm-glib-dev (>= ${binary:Version}),
         network-manager-dev (>= ${binary:Version}),
Description: network management framework (GLib interface)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package provides the shared library that applications can use for
 creating VPN connections via NetworkManager.

Package: libnm-util2
Section: libs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: network management framework (shared library)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains a convenience library to ease the access to
 NetworkManager.

Package: libnm-util-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         libnm-util2 (= ${binary:Version}),
         gir1.2-networkmanager-1.0 (= ${binary:Version}),
         network-manager-dev (>= ${binary:Version}),
         libglib2.0-dev,
         libdbus-glib-1-dev
Description: network management framework (development files)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains header and development files.

Package: network-manager-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: ${misc:Depends},
         network-manager (= ${binary:Version}),
         libnm-util2 (= ${binary:Version}),
         libnm-glib4 (= ${binary:Version}),
         libnm-glib-vpn1 (= ${binary:Version})
Description: network management framework (debugging symbols)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains detached debugging symbols.

Package: gir1.2-networkmanager-1.0
Section: introspection
Architecture: linux-any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection data for NetworkManager
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains introspection data for NetworkManager.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.
